Subject: bug#5010 closed by Juri Linkov <[email-masked]> (Re: bug#5010: 23.1.50; insert-file should be made FFAP aware)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 25 Nov 2009 17:40:13 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5010: 23.1.50; insert-file should be made FFAP aware

It has been closed by Juri Linkov <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juri Linkov <[email-masked]> by
replying to this email.

-- 
5010: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5010
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5010: 23.1.50; insert-file should be made FFAP aware
From: Juri Linkov <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 25 Nov 2009 19:27:11 +0200

>> I put the cursor upon /etc/motd and C-x C-f knows about it, but C-x i
>> doesn't because ffap.el doesn't include it in its bindings.
>
> And also `append-to-file', `write-file', `write-region', `load-file',
> `recode-file-name', `make-directory', `delete-directory', `copy-directory'
> and dozens of other commands that read a file or directory name.
>
> I think we should now stop the madness of hunting for commands to make
> FFAP aware.

Now it's possible to type M-n in any file-reading minibuffer to pull
a file name at point to the minibuffer when ffap is loaded without
ffap-bindings.  Also there is a new command (currently unbound)
`minibuffer-insert-file-name-at-point'.

-- 
Juri Linkov
http://www.jurta.org/emacs/

Subject: 23.1.50; insert-file should be made FFAP aware
From: [email-masked]
To: [email-masked]
Date: Sun, 22 Nov 2009 01:10:58 +0800

I put the cursor upon /etc/motd and C-x C-f knows about it, but C-x i
doesn't because ffap.el doesn't include it in its bindings.

In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
 of 2009-11-15 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20091115-1)